SamplerMirrorGaussian Class Reference

Gaussian Mirror Sampler. More...

`#include <ql/experimental/math/hybridsimulatedannealingfunctors.hpp>`

## Public Member Functions

| SamplerMirrorGaussian (const Array &lower, const Array &upper, unsigned long seed=SeedGenerator::instance().get())
| SamplerMirrorGaussian (const SamplerMirrorGaussian &sampler)
void | operator() (Array &newPoint, const Array &currentPoint, const Array &temp) const

## Detailed Description

Gaussian Mirror Sampler.

Sample from normal distribution, but constrained to lie within .boundaries. If the value ends up beyond the boundary, the value is reflected back.